namespace EgtBEAMWALL.DataLayer.Migrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class UpgradeLockModel : DbMigration
    {
        public override void Up()
        {
            AddColumn("dbo.ProjList", "LockedBy", c => c.String(unicode: false, nullable: false, defaultValueSql:""));
            AddColumn("dbo.ProjList", "LockDate", c => c.DateTime(nullable: false, precision: 0, defaultValueSql: "DATE('1900-01-01')"));
            AddColumn("dbo.ProdList", "LockedBy", c => c.String(unicode: false, nullable: false, defaultValueSql: ""));
            AddColumn("dbo.ProdList", "LockDate", c => c.DateTime(nullable: false, precision: 0, defaultValueSql: "DATE('1900-01-01')"));
            //AddColumn("dbo.ProjList", "LockedBy", c => c.String(unicode: false));
            //AddColumn("dbo.ProjList", "LockDate", c => c.DateTime(nullable: false, precision: 0, defaultValueSql: "DATE('1900 - 01 - 01')"));
            //AddColumn("dbo.ProdList", "LockedBy", c => c.String(unicode: false));
            //AddColumn("dbo.ProdList", "LockDate", c => c.DateTime(nullable: false, precision: 0, defaultValueSql: "DATE('1900 - 01 - 01')"));
        }
        
        public override void Down()
        {
            DropColumn("dbo.ProdList", "LockDate");
            DropColumn("dbo.ProdList", "LockedBy");
            DropColumn("dbo.ProjList", "LockDate");
            DropColumn("dbo.ProjList", "LockedBy");
        }
    }
}
